package battle;

public class Matrice {

	public static final int NEUTRO = 0;
	public static final int SQUADRA_BLU = 1;
	public static final int SQUADRA_ROSSA = 2;
	
	int[][] campoDiBattaglia;
	private final int dim = 50;
	private int contBlu;
	private int contRosse;
	
	public Matrice() {
		contBlu = 0;
		contRosse = 0;
		campoDiBattaglia = new int[dim][dim];
		for(int i = 0; i < campoDiBattaglia.length; i++)
			for(int j = 0; j < campoDiBattaglia[i].length; j++)
				campoDiBattaglia[i][j] = NEUTRO;			
	}
	
	public int size() {
		return dim;
	}
	
	public boolean finito() {
		return contBlu+contRosse >= dim*dim;
	}
	
	public synchronized void disegna(int i, int j, int squadra) {
		try {
			if(campoDiBattaglia[i][j] != NEUTRO) return;
			int valore = 1;
			if(contBlu+contRosse==dim*dim-1)
				valore = 500;
			if(squadra == SQUADRA_ROSSA) {
				contRosse+= valore;
			}
			else if(squadra == SQUADRA_BLU) {
				contBlu+=valore;
			}
			else {
				return;
			}
			campoDiBattaglia[i][j] = squadra;
		} catch (Exception e) {
			return;
		}
	}
	
	public int getNumero(int squadra) {
		if(squadra == SQUADRA_ROSSA)
			return contRosse;
		if(squadra == SQUADRA_BLU)
			return contBlu;
		return 0;
	}
}
