package battle;

import java.awt.Color;
import java.awt.Graphics;

import javax.swing.JPanel;

public class Pannello extends JPanel implements Runnable {

	Matrice m;
	public Pannello(Matrice m) {
		this.m = m;
		Thread t = new Thread(this);
		t.start();
	}
	
	@Override
	protected void paintComponent(Graphics g) {
		super.paintComponent(g);
		int shift = 20;
		for(int i = 0; i < m.campoDiBattaglia.length; i++) {
			for(int j = 0; j < m.campoDiBattaglia[i].length; j++) {
				switch(m.campoDiBattaglia[i][j]) {
				case Matrice.NEUTRO:
					g.setColor(Color.WHITE);
					g.fillRect(shift+i*10, shift+j*10, 10, 10);
					break;
				case Matrice.SQUADRA_BLU:
					g.setColor(Color.BLUE);
					g.fillRect(shift+i*10, shift+j*10, 10, 10);
					break;
				case Matrice.SQUADRA_ROSSA:
					g.setColor(Color.RED);
					g.fillRect(shift+i*10, shift+j*10, 10, 10);
					break;
				}
			}
		}
		g.setColor(Color.BLACK);
		g.drawString("Punteggio BLU: " + m.getNumero(Matrice.SQUADRA_BLU), shift, 540);
		g.drawString("Punteggio ROSSA: " + m.getNumero(Matrice.SQUADRA_ROSSA), shift, 560);
	}

	@Override
	public void run() {
		while(!m.finito()) {
			repaint();
			try {
				Thread.sleep(100);
			} catch (InterruptedException e) {
				return;
			}
		}
		repaint();
	}
}
